org.eclipse.aether.installation

## Class InstallRequest

- java.lang.Object
- - org.eclipse.aether.installation.InstallRequest

-     public final class InstallRequest
      extends Object

  A request to install artifacts and their accompanying metadata into the local repository.
  See Also:
    `RepositorySystem.install(RepositorySystemSession, InstallRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallRequest()` Creates an uninitialized request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstallRequest` | `addArtifact(Artifact artifact)` Adds the specified artifacts for installation.
    `InstallRequest` | `addMetadata(Metadata metadata)` Adds the specified metadata for installation.
    `Collection<Artifact>` | `getArtifacts()` Gets the artifact to install.
    `Collection<Metadata>` | `getMetadata()` Gets the metadata to install.
    `RequestTrace` | `getTrace()` Gets the trace information that describes the higher level request/operation in which this request is issued.
    `InstallRequest` | `setArtifacts(Collection<Artifact> artifacts)` Sets the artifacts to install.
    `InstallRequest` | `setMetadata(Collection<Metadata> metadata)` Sets the metadata to install.
    `InstallRequest` | `setTrace(RequestTrace trace)` Sets the trace information that describes the higher level request/operation in which this request is issued.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstallRequest

          public InstallRequest()

      Creates an uninitialized request.

  - ### Method Detail

    - #### getArtifacts

          public Collection<Artifact> getArtifacts()

      Gets the artifact to install.
      Returns:
        The artifacts to install, never `null`.

    - #### setArtifacts

          public InstallRequest setArtifacts(Collection<Artifact> artifacts)

      Sets the artifacts to install.
      Parameters:
        `artifacts` - The artifacts to install, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### addArtifact

          public InstallRequest addArtifact(Artifact artifact)

      Adds the specified artifacts for installation.
      Parameters:
        `artifact` - The artifact to add, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getMetadata

          public Collection<Metadata> getMetadata()

      Gets the metadata to install.
      Returns:
        The metadata to install, never `null`.

    - #### setMetadata

          public InstallRequest setMetadata(Collection<Metadata> metadata)

      Sets the metadata to install.
      Parameters:
        `metadata` - The metadata to install.
      Returns:
        This request for chaining, never `null`.

    - #### addMetadata

          public InstallRequest addMetadata(Metadata metadata)

      Adds the specified metadata for installation.
      Parameters:
        `metadata` - The metadata to add, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getTrace

          public RequestTrace getTrace()

      Gets the trace information that describes the higher level request/operation in which this request is issued.
      Returns:
        The trace information about the higher level operation or `null` if none.

    - #### setTrace

          public InstallRequest setTrace(RequestTrace trace)

      Sets the trace information that describes the higher level request/operation in which this request is issued.
      Parameters:
        `trace` - The trace information about the higher level operation, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.